OGRE: Ogre::MeshLodUsage Struct Reference - OGRE Documentation

Public Member Functions | Public Attributes

# Ogre::MeshLodUsage Struct Reference
[Resources]

A way of recording the way each LODs is recorded this Mesh. More...

`#include <OgreMesh.h>`

List of all members.

## Public Member Functions
| MeshLodUsage ()
## Public Attributes
Real | userValue
| User-supplied values used to determine when th is lod applies.
Real | value
| Value used by to determine when this lod applies.
String | manualName
| Only relevant if mIsLodManual is true, the name of the alternative mesh to use.
String | manualGroup
| Only relevant if mIsLodManual is true, the name of the group of the alternative mesh.
MeshPtr | manualMesh
| Hard link to mesh to avoid looking up each time.
EdgeData * | edgeData
| Edge list for this LOD level (may be derived from manual mesh).

## Detailed Description

A way of recording the way each LODs is recorded this Mesh.

Definition at line 909 of file OgreMesh.h.

## Constructor & Destructor Documentation

Ogre::MeshLodUsage::MeshLodUsage | ( |  | ) |

Definition at line 933 of file OgreMesh.h.

## Member Data Documentation

EdgeData* Ogre::MeshLodUsage::edgeData`[mutable]`

Edge list for this LOD level (may be derived from manual mesh).

Definition at line 931 of file OgreMesh.h.

String Ogre::MeshLodUsage::manualGroup

Only relevant if mIsLodManual is true, the name of the group of the alternative mesh.

Definition at line 927 of file OgreMesh.h.

MeshPtr Ogre::MeshLodUsage::manualMesh`[mutable]`

Hard link to mesh to avoid looking up each time.

Definition at line 929 of file OgreMesh.h.

String Ogre::MeshLodUsage::manualName

Only relevant if mIsLodManual is true, the name of the alternative mesh to use.

Definition at line 925 of file OgreMesh.h.

Real Ogre::MeshLodUsage::userValue

User-supplied values used to determine when th is lod applies.

Remarks:
  This is required in case the lod strategy changes.

Definition at line 915 of file OgreMesh.h.

Real Ogre::MeshLodUsage::value

Value used by to determine when this lod applies.

Remarks:
  May be interpretted differently by different strategies. Transformed from user-supplied values with LodStrategy::transformUserValue.

Definition at line 922 of file OgreMesh.h.

The documentation for this struct was generated from the following file:

- OgreMesh.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Wed Nov 3 2010 19:24:57